package eu.eudat.file.transformer.entities.descriptiontemplate.fielddata;

import eu.eudat.file.transformer.entities.definition.DefinitionSerializable;
import eu.eudat.file.transformer.entities.xml.XmlSerializable;
import eu.eudat.file.transformer.enums.FieldType;
import eu.eudat.file.transformer.model.descriptiontemplatedefinition.fielddata.BaseFieldData;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

public abstract class BaseFieldDataEntity<T extends BaseFieldDataEntity, U extends BaseFieldData> implements DefinitionSerializable<T, U> {
    private String label;

    public abstract FieldType getFieldType();

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    /*public Element toXml(Document doc) {
        Element root = doc.createElement("data");
        root.setAttribute("label", this.getLabel());
        return root;
    }*/

    /*public T fromXml(Element item) {

        this.setLabel(item.getAttribute("label"));
        return (T) this;
    }*/

    public T fromDefinition(U object) {
        this.setLabel(object.getLabel());
        return (T) this;
    }
}
