package eu.eudat.file.transformer.entities.descriptiontemplate.fielddata;

import eu.eudat.file.transformer.enums.FieldType;
import eu.eudat.file.transformer.model.descriptiontemplatedefinition.fielddata.DataRepositoryData;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class DataRepositoryDataEntity extends BaseFieldDataEntity<DataRepositoryDataEntity, DataRepositoryData> {
    @Override
    public FieldType getFieldType() {
        return FieldType.DATA_REPOSITORIES;
    }
    
    private Boolean multiAutoComplete;

    public Boolean getMultiAutoComplete() {
        return multiAutoComplete;
    }

    public void setMultiAutoComplete(Boolean multiAutoComplete) {
        this.multiAutoComplete = multiAutoComplete;
    }
    
    /*@Override
    public Element toXml(Document doc) {
        Element root = super.toXml(doc);
        if (this.getMultiAutoComplete() != null) {
            root.setAttribute("multiAutoComplete", this.getMultiAutoComplete().toString());
        }
        return root;
    }

    @Override
    public DataRepositoryDataEntity fromXml(Element item) {
        super.fromXml(item);
        this.setMultiAutoComplete(Boolean.parseBoolean(item.getAttribute("multiAutoComplete")));
        return this;
    }*/

    public DataRepositoryDataEntity fromDefinition(DataRepositoryData item) {
        super.fromDefinition(item);
        this.setMultiAutoComplete(item.getMultiAutoComplete());
        return this;
    }
}
