package eu.eudat.file.transformer.entities.descriptiontemplate.fielddata;

import eu.eudat.file.transformer.enums.FieldDataInternalDmpEntryType;
import eu.eudat.file.transformer.enums.FieldType;
import eu.eudat.file.transformer.model.descriptiontemplatedefinition.fielddata.DatasetAutoCompleteData;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class DatasetAutoCompleteDataEntity extends InternalDmpBaseDataEntity<DatasetAutoCompleteDataEntity, DatasetAutoCompleteData> {
	private Boolean multiAutoComplete;

	public Boolean getMultiAutoComplete() {
		return multiAutoComplete;
	}
	public void setMultiAutoComplete(Boolean multiAutoComplete) {
		this.multiAutoComplete = multiAutoComplete;
	}

	@Override
	public FieldDataInternalDmpEntryType getFieldSubType() {
		return FieldDataInternalDmpEntryType.Datasets;
	}

	@Override
	public FieldType getFieldType() {
		return FieldType.INTERNAL_DMP_ENTRIES_DATASETS;
	}

	/*@Override
	public Element toXml(Document doc) {
		Element root = super.toXml(doc);
		root.setAttribute("multiAutoComplete", this.multiAutoComplete.toString());

		return root;
	}

	@Override
	public DatasetAutoCompleteDataEntity fromXml(Element item) {
		super.fromXml(item);
		this.multiAutoComplete = Boolean.parseBoolean(item.getAttribute("multiAutoComplete"));

		return this;
	}*/

	public DatasetAutoCompleteDataEntity fromDefinition(DatasetAutoCompleteData item) {
		super.fromDefinition(item);
		this.multiAutoComplete = item.getMultiAutoComplete();

		return this;
	}
}
