package eu.eudat.file.transformer.entities.descriptiontemplate.fielddata;

import eu.eudat.file.transformer.enums.FieldDataInternalDmpEntryType;
import eu.eudat.file.transformer.enums.FieldType;
import eu.eudat.file.transformer.model.descriptiontemplatedefinition.fielddata.DmpAutoCompleteData;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class DmpAutoCompleteDataEntity extends InternalDmpBaseDataEntity<DmpAutoCompleteDataEntity, DmpAutoCompleteData> {
	private Boolean multiAutoComplete;

	public Boolean getMultiAutoComplete() {
		return multiAutoComplete;
	}
	public void setMultiAutoComplete(Boolean multiAutoComplete) {
		this.multiAutoComplete = multiAutoComplete;
	}

	@Override
	public FieldDataInternalDmpEntryType getFieldSubType() {
		return FieldDataInternalDmpEntryType.Dmps;
	}

	@Override
	public FieldType getFieldType() {
		return FieldType.INTERNAL_DMP_ENTRIES_DMPS;
	}
	/*@Override
	public Element toXml(Document doc) {
		Element root = super.toXml(doc);
		root.setAttribute("multiAutoComplete", this.multiAutoComplete.toString());

		return root;
	}

	@Override
	public DmpAutoCompleteDataEntity fromXml(Element item) {
		super.fromXml(item);
		this.multiAutoComplete = Boolean.parseBoolean(item.getAttribute("multiAutoComplete"));

		return this;
	}*/

	public DmpAutoCompleteDataEntity fromDefinition(DmpAutoCompleteData item) {
		super.fromDefinition(item);
		this.multiAutoComplete = item.getMultiAutoComplete();
		return this;
	}
}
