package eu.eudat.file.transformer.entities.descriptiontemplate.importexport.fielddata;

import eu.eudat.file.transformer.entities.descriptiontemplate.fielddata.AutoCompleteDataEntity;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class AutoCompleteSingleData {
	@XmlAttribute(name = "autocompleteType")
	private AutoCompleteDataEntity.AutocompleteType autocompleteType;
	@XmlAttribute(name = "url")
	private String url;
	@XmlElement(name = "autoCompleteOptions")
	private ComboBoxDataOptionEntity autoCompleteOptions;
	@XmlAttribute(name = "optionsRoot")
	private String optionsRoot;
	@XmlAttribute(name = "hasAuth")
	private Boolean hasAuth;
	@XmlElement(name = "auth")
	private AuthAutoCompleteData auth;
	@XmlAttribute(name = "method")
	private String method;

	public AutoCompleteDataEntity.AutocompleteType getAutocompleteType() {
		return autocompleteType;
	}

	public void setAutocompleteType(AutoCompleteDataEntity.AutocompleteType autocompleteType) {
		this.autocompleteType = autocompleteType;
	}

	public String getOptionsRoot() {
		return optionsRoot;
	}

	public void setOptionsRoot(String optionsRoot) {
		this.optionsRoot = optionsRoot;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public Boolean getHasAuth() {
		return hasAuth;
	}

	public void setHasAuth(Boolean hasAuth) {
		this.hasAuth = hasAuth;
	}

	public AuthAutoCompleteData getAuth() {
		return auth;
	}

	public void setAuth(AuthAutoCompleteData auth) {
		this.auth = auth;
	}

	public ComboBoxDataOptionEntity getAutoCompleteOptions() {
		return autoCompleteOptions;
	}

	public void setAutoCompleteOptions(ComboBoxDataOptionEntity autoCompleteOptions) {
		this.autoCompleteOptions = autoCompleteOptions;
	}

	public String getMethod() {
		return method;
	}

	public void setMethod(String method) {
		this.method = method;
	}
}
