package eu.eudat.file.transformer.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import eu.eudat.file.transformer.enums.ContactInfoType;

import java.time.Instant;
import java.util.UUID;

@JsonIgnoreProperties(ignoreUnknown = true)
public class UserContactInfo {
	private UUID id;
	public static final String _id = "id";

	private String value;
	public static final String _value = "value";

	private ContactInfoType type;
	public static final String _type = "type";
	
	private int ordinal;
	public static final String _ordinal = "ordinal";

	private UserFileModel user;
	public static final String _user = "user";

	private Instant createdAt;

	public static final String _createdAt = "createdAt";

	public UUID getId() {
		return id;
	}

	public void setId(UUID id) {
		this.id = id;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public ContactInfoType getType() {
		return type;
	}

	public void setType(ContactInfoType type) {
		this.type = type;
	}

	public int getOrdinal() {
		return ordinal;
	}

	public void setOrdinal(int ordinal) {
		this.ordinal = ordinal;
	}

	public UserFileModel getUser() {
		return user;
	}

	public void setUser(UserFileModel user) {
		this.user = user;
	}

	public Instant getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Instant createdAt) {
		this.createdAt = createdAt;
	}
}
