package eu.eudat.file.transformer.entities.descriptiontemplate.fielddata;

import eu.eudat.file.transformer.enums.FieldType;
import eu.eudat.file.transformer.model.descriptiontemplatedefinition.fielddata.JournalRepositoryData;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class JournalRepositoryDataEntity extends BaseFieldDataEntity<JournalRepositoryDataEntity, JournalRepositoryData> {
    @Override
    public FieldType getFieldType() {
        return FieldType.JOURNAL_REPOSITORIES;
    }
    
    private Boolean multiAutoComplete;

    public Boolean getMultiAutoComplete() {
        return multiAutoComplete;
    }

    public void setMultiAutoComplete(Boolean multiAutoComplete) {
        this.multiAutoComplete = multiAutoComplete;
    }

    /*@Override
    public Element toXml(Document doc) {
        Element root = super.toXml(doc);
        if (this.getMultiAutoComplete() != null) {
            root.setAttribute("multiAutoComplete", this.getMultiAutoComplete().toString());
        }
        return root;
    }

    @Override
    public JournalRepositoryDataEntity fromXml(Element item) {
        super.fromXml(item);
        this.setMultiAutoComplete(Boolean.parseBoolean(item.getAttribute("multiAutoComplete")));
        return this;
    }*/

    @Override
    public JournalRepositoryDataEntity fromDefinition(JournalRepositoryData object) {
        super.fromDefinition(object);
        this.setMultiAutoComplete(object.getMultiAutoComplete());
        return this;
    }
}
