package eu.eudat.file.transformer.entities.descriptiontemplate.fielddata;

import eu.eudat.file.transformer.enums.FieldDataInternalDmpEntryType;
import eu.eudat.file.transformer.enums.FieldType;
import eu.eudat.file.transformer.model.descriptiontemplatedefinition.fielddata.ResearcherAutoCompleteData;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class ResearcherAutoCompleteDataEntity extends InternalDmpBaseDataEntity<ResearcherAutoCompleteDataEntity, ResearcherAutoCompleteData> {
	private Boolean multiAutoComplete;

	public Boolean getMultiAutoComplete() {
		return multiAutoComplete;
	}
	public void setMultiAutoComplete(Boolean multiAutoComplete) {
		this.multiAutoComplete = multiAutoComplete;
	}

	@Override
	public FieldDataInternalDmpEntryType getFieldSubType() {
		return FieldDataInternalDmpEntryType.Researchers;
	}

	@Override
	public FieldType getFieldType() {
		return FieldType.INTERNAL_DMP_ENTRIES_RESEARCHERS;
	}
	
	/*@Override
	public Element toXml(Document doc) {
		Element root = super.toXml(doc);
		root.setAttribute("multiAutoComplete", this.multiAutoComplete != null ? this.multiAutoComplete.toString() : "false");

		return root;
	}

	@Override
	public ResearcherAutoCompleteDataEntity fromXml(Element item) {
		super.fromXml(item);
		this.multiAutoComplete = Boolean.parseBoolean(item.getAttribute("multiAutoComplete"));

		return this;
	}*/

	@Override
	public ResearcherAutoCompleteDataEntity fromDefinition(ResearcherAutoCompleteData item) {
		super.fromDefinition(item);
		this.multiAutoComplete = item.getMultiAutoComplete();
		return this;
	}
}
