package eu.eudat.file.transformer.entities.descriptiontemplate.importexport;

import jakarta.xml.bind.annotation.*;

import java.util.List;

@XmlAccessorType(XmlAccessType.FIELD)
public class PageImportExport {
    @XmlAttribute(name = "id")
    private String id;
    @XmlAttribute(name = "ordinal")
    private int ordinal;

    @XmlAttribute(name = "title")
    private String title;
    @XmlElementWrapper(name = "sections")
    @XmlElement(name = "section")
    private List<SectionImportExport> sections;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getOrdinal() {
        return ordinal;
    }

    public void setOrdinal(int ordinal) {
        this.ordinal = ordinal;
    }
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public List<SectionImportExport> getSections() {
        return sections;
    }

    public void setSections(List<SectionImportExport> sections) {
        this.sections = sections;
    }

}
