package eu.eudat.file.transformer.model;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import eu.eudat.file.transformer.enums.IsActive;

import java.time.Instant;
import java.util.UUID;

@JsonIgnoreProperties(ignoreUnknown = true)
public class DescriptionReference {

    private UUID id;

    public static final String _id = "id";

    private DescriptionFileTransformerModel descriptionFileTransformerModel;

    public static final String _description = "description";

    private Reference reference;

    public static final String _reference = "reference";

    private Instant createdAt;

    public static final String _createdAt = "createdAt";

    private Instant updatedAt;

    public static final String _updatedAt = "updatedAt";

    private IsActive isActive;

    public static final String _isActive = "isActive";

    private String hash;

    public static final String _hash = "hash";

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public DescriptionFileTransformerModel getDescription() {
        return descriptionFileTransformerModel;
    }

    public void setDescription(DescriptionFileTransformerModel descriptionFileTransformerModel) {
        this.descriptionFileTransformerModel = descriptionFileTransformerModel;
    }

    public Reference getReference() {
        return reference;
    }

    public void setReference(Reference reference) {
        this.reference = reference;
    }

    public Instant getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Instant createdAt) {
        this.createdAt = createdAt;
    }

    public Instant getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Instant updatedAt) {
        this.updatedAt = updatedAt;
    }

    public IsActive getIsActive() {
        return isActive;
    }

    public void setIsActive(IsActive isActive) {
        this.isActive = isActive;
    }

    public String getHash() {
        return hash;
    }

    public void setHash(String hash) {
        this.hash = hash;
    }
}
