package eu.eudat.file.transformer.model;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import eu.eudat.file.transformer.enums.DmpUserRole;
import eu.eudat.file.transformer.enums.IsActive;

import java.time.Instant;
import java.util.UUID;

@JsonIgnoreProperties(ignoreUnknown = true)
public class DmpUser {

    private UUID id;

    public static final String _id = "id";

    private DmpFileTransformerModel dmp;

    public static final String _dmp = "dmp";

    private UserFileModel user;

    public static final String _user = "user";

    private String hash;
    public final static String _hash = "hash";

    private DmpUserRole role;

    public static final String _role = "role";

    private Instant createdAt;

    public static final String _createdAt = "createdAt";

    private Instant updatedAt;

    public static final String _updatedAt = "updatedAt";

    private IsActive isActive;
    public static final String _isActive = "isActive";

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public DmpFileTransformerModel getDmp() {
        return dmp;
    }

    public void setDmp(DmpFileTransformerModel dmpFileTransformerModel) {
        this.dmp = dmpFileTransformerModel;
    }

    public UserFileModel getUser() {
        return user;
    }

    public void setUser(UserFileModel user) {
        this.user = user;
    }

    public DmpUserRole getRole() {
        return role;
    }

    public void setRole(DmpUserRole role) {
        this.role = role;
    }

    public Instant getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Instant createdAt) {
        this.createdAt = createdAt;
    }

    public Instant getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Instant updatedAt) {
        this.updatedAt = updatedAt;
    }

    public IsActive getIsActive() {
        return isActive;
    }

    public void setIsActive(IsActive isActive) {
        this.isActive = isActive;
    }

    public String getHash() {
        return hash;
    }

    public void setHash(String hash) {
        this.hash = hash;
    }
}
