package eu.eudat.file.transformer.utils.helpers;

import java.util.Random;

public class MyStringUtils {

	private static final Integer ASCII_START_NUMERIC = 48;
	private static final Integer ASCII_END_NUMERIC = 57;
	private static final Integer ASCII_START_UPPER = 65;
	private static final Integer ASCII_END_UPPER = 90;
	private static final Integer ASCII_START_LOWER = 97;
	private static final Integer ASCII_END_LOWER = 122;

	public static int getFirstDifference(String s1, String s2) {
		char[] s1ar = s1.toCharArray();
		char[] s2ar = s2.toCharArray();

		for(int i = 0; i < s1ar.length; i++) {
			if (s2ar.length > i) {
				if (s1ar[i] != s2ar[i]) {
					return i;
				}
			} else {
				return i;
			}
		}

		return -1;
	}

	public static String generateRandomString(int size, boolean includeSymbols) {
		Random random = new Random();
		return random.ints(ASCII_START_NUMERIC, ASCII_END_LOWER)
				.filter(i -> includeSymbols || (i >= ASCII_START_NUMERIC || i <= ASCII_END_NUMERIC) && (i >= ASCII_START_UPPER || i <= ASCII_END_UPPER) && (i >= ASCII_START_LOWER || i <= ASCII_END_LOWER))
				.collect(StringBuilder::new, StringBuilder::appendCodePoint, StringBuilder::append)
				.toString();
	}
}
